diff --git a/src/include/utils/memutils_memorychunk.h b/src/include/utils/memutils_memorychunk.h
index 1e27d084cd..2c3dbb27e3 100644
--- a/src/include/utils/memutils_memorychunk.h
+++ b/src/include/utils/memutils_memorychunk.h
@@ -167,7 +167,7 @@ MemoryChunkSetHdrMask(MemoryChunk *chunk, void *block,
 	Assert((char *) chunk > (char *) block);
 	Assert(blockoffset <= MEMORYCHUNK_MAX_BLOCKOFFSET);
 	Assert(value <= MEMORYCHUNK_MAX_VALUE);
-	Assert(methodid <= MEMORY_CONTEXT_METHODID_MASK);
+	Assert((int) methodid <= MEMORY_CONTEXT_METHODID_MASK);
 
 	chunk->hdrmask = (((uint64) blockoffset) << MEMORYCHUNK_BLOCKOFFSET_BASEBIT) |
 		(((uint64) value) << MEMORYCHUNK_VALUE_BASEBIT) |
@@ -183,7 +183,7 @@ static inline void
 MemoryChunkSetHdrMaskExternal(MemoryChunk *chunk,
 							  MemoryContextMethodID methodid)
 {
-	Assert(methodid <= MEMORY_CONTEXT_METHODID_MASK);
+	Assert((int) methodid <= MEMORY_CONTEXT_METHODID_MASK);
 
 	chunk->hdrmask = MEMORYCHUNK_MAGIC | (((uint64) 1) << MEMORYCHUNK_EXTERNAL_BASEBIT) |
 		methodid;
